# $Id$
# Authority: dag

# Tag: rft

%define real_version 1.2

Summary: Schily Make alternative
Name: smake
Version: 1.2a49
Release: 1
License: GPL
Group: Development/Tools
URL: http://cdrecord.berlios.de/private/smake.html

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: ftp://ftp.berlios.de/pub/smake/alpha/smake-%{version}.tar.bz2
BuildRoot: %{_tmppath}/root-%{name}-%{version}-%{release}

BuildRequires: gcc
BuildRequires: glibc-devel
BuildRequires: make

%description
Smake is the only make program with automake features, it is the only program
that works on unknown platforms..

Smake executes command sequences based on relations of modification dates of
files. The command sequences are taken from a set of rules found in a makefile
or in the set of implicit rules. The argument target is typically a program
that is to be built from the known rules.

If no -f option is present, smake looks for SMakefile then for Makefile and
then for makefile in the named order.

If no target is specified on the command line, smake uses the first target that
could be found in makefilename and that does not start with a dot ('.').

If a target has no explicit entry in the makefile smake tries to use implicit
rules or the .DEFAULT rule.

Unlike most other make programs, smake propagates all com­ mand line macros to
sub makes. This is a big advantage with hierarchical makefile systems.
Propagation is done in a POSIX compliant way using the MAKEFLAGS= environment.

Unlike other make programs, smake includes a set of automake features that
allow to implement portable, layered, object oriented makefiles.

%prep
%setup -n %{name}-%{real_version}

%build
%{__make} %{?_smp_mflags} CWARNOPTS="%{optflags}" COPTX="-DTRY_EXT2_FS"

%install
%{__make} install DEST_DIR="%{buildroot}" INS_BASE="%{_prefix}" MANDIR="share/man"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AN-%{version} PORTING README* smake/defaults.smk
%doc %{_mandir}/man1/smake.1*
%doc %{_mandir}/man5/makefiles.5*
%doc %{_mandir}/man5/makerules.5*
%config(noreplace) %{_prefix}/lib/defaults.smk
%{_bindir}/smake
%{_includedir}/schily/

%changelog
* Fri Jul 08 2011 Dag Wieers <dag@wieers.com> - 1.2a49-1
- Initial package. (using DAR)
